org.jvnet.hudson

## Class Solaris

- java.lang.Object
- - org.jvnet.hudson.MemoryMonitor
  - - org.jvnet.hudson.Solaris

    public class Solaris
    extends MemoryMonitor

For Solaris, where top(1) is an optional install.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`Solaris()`

### Method Summary

Methods
`protected java.lang.String` `cutTail(java.lang.String token)`
`MemoryUsage` `monitor()` Obtains the memory usage statistics.
`protected long` `parse(java.lang.String token)`

### Methods inherited from class org.jvnet.hudson.MemoryMonitor

`get, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Solaris

    public Solaris()

### Method Detail

#### monitor

    public MemoryUsage monitor()
                        throws java.io.IOException

Description copied from class: `MemoryMonitor`
Obtains the memory usage statistics.

Specified by:
  `monitor` in class `MemoryMonitor`
Returns:
  always non-null object.
Throws:
  `java.io.IOException` - If the computation fails for some reason.

#### parse

    protected long parse(java.lang.String token)

#### cutTail

    protected java.lang.String cutTail(java.lang.String token)